import request from '@/utils/request'

// 查询手机菜单列表
export function listMobile(query) {
  return request({
    url: '/system/mobile/list',
    method: 'get',
    params: query
  })
}

// 导出手机菜单
export function exportMobile(query) {
  return request({
    url: '/system/mobile/export',
    method: 'get',
    params: query
  })
}

// 查询手机菜单详细
export function getMobile(id) {
  return request({
    url: '/system/mobile/get/' + id,
    method: 'get'
  })
}

// 新增手机菜单
export function addMobile(data) {
  return request({
    url: '/system/mobile/add',
    method: 'post',
    data: data
  })
}

// 修改手机菜单
export function updateMobile(data) {
  return request({
    url: '/system/mobile/edit',
    method: 'post',
    data: data
  })
}

// 删除手机菜单
export function delMobile(id) {
  return request({
    url: '/system/mobile/remove/' + id,
    method: 'get'
  })
}

// 编辑角色
export function setupMobileRoles(id, data) {
  return request({
    url: '/system/mobile/setupRoles/' + id,
    method: 'post',
    data: data
  })
}

// 获取角色
export function getMobileRoles(id) {
  return request({
    url: '/system/mobile/getRoles/' + id,
    method: 'get',
  })
}

// 获取菜单
export function getMobileMenus(query) {
  return request({
    url: '/system/mobile/menus',
    method: 'get',
    params: query,
  })
}

// 启用/禁用
export function setMobileStatus(id, status) {
  return request({
    url: `/system/mobile/setStatus/${id}`,
    method: 'post',
    params: { status }
  })
}

